Status: New Start date: 23 Jul 2023

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.65 hour

Description

Consider making a special case of gcd(f,f) or indeed gcd(f,k*f) where k is a scalar.

History

#1 - 23 Jul 2023 18:04 - John Abbott

Here is just 1 example illustrating the point:

/**/ f := cyclotomic(20,x)*cyclotomic(257*307,x);

/**/ t0:=CpuTime(); h := gcd(f,f); TimeFrom(t0);

3.009

#2 - 03 Oct 2023 19:14 - John Abbott

I have just tried computing RootBound(f).  It is taking ages :-(  [about 360s]

No doubt the problem is that it takes a long time to compute the graeffe transform.

Moreover it is doing 5 graeffe transforms -- why???

#3 - 16 Feb 2024 09:57 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
